Name: patch-gnu
Version: 2.7.5
Release: 4
License: GPL-3.0-or-later
Summary: GNU patch
Url: https://www.gnu.org/software/patch

Source0: https://ftp.gnu.org/pub/gnu/patch/patch-%{version}.tar.xz

Patch0: patch-readlinkat.patch
Patch1: patch-upstream-handle-rlim-infinity.patch

%description
Patch takes a patch file containing a difference listing produced by the diff
program and applies those differences to one or more original files, producing
patched versions.

%prep
%setup -q -n patch-%{version}

%patch0 -p0
%patch1 -p1

%build

%configure \
  ac_cv_func_faccessat=no \
  ac_cv_func_fchmodat=no \
  ac_cv_func_fchownat=no \
  ac_cv_func_fstatat=no \
  ac_cv_func_futimesat=no \
  ac_cv_func_linkat=no \
  ac_cv_func_lstat=yes \
  ac_cv_func_mkdirat=no \
  ac_cv_func_mkfifoat=no \
  ac_cv_func_mknodat=no \
  ac_cv_func_openat=no \
  ac_cv_func_readlinkat=no \
  ac_cv_func_renameat=no \
  ac_cv_func_symlinkat=no \
  ac_cv_func_unlinkat=no \
  ac_cv_func_utimensat=no \
  LDFLAGS="-Wl,-blibpath:/QOpenSys/usr/lib"
  
%make_build

%install

%make_install

rm %{buildroot}%{_libdir}/charset.alias || :

%files
%defattr(-, qsys, *none)

%license COPYING
%doc README NEWS AUTHORS ChangeLog ChangeLog-2011

%{_bindir}/patch
%{_mandir}/man1/patch.1

%changelog
* Mon Apr 20 2020 Kevin Adler <kadler@us.ibm.com> - 2.7.5
- Fix "**** out of memory" error when ulimit -n is unlimited
- Add license file and docs

* Thu Nov 21 2019 Kevin Adler <kadler@us.ibm.com> - 2.7.5
- Disable half-implemented *at APIs, fixing IBM i 7.2 build

* Tue Nov 19 2019 Kevin Adler <kadler@us.ibm.com> - 2.7.5
- Use SPDX license identifier

* Mon Mar 12 2018 - Kevin Adler <kadler@us.ibm.com>
- Fix unshipped file: remove charset.alias

* Sat Mar 03 2018 - Kevin Adler <kadler@us.ibm.com>
- Remove gcc wrappers from specs

* Tue Nov 21 2017 - Kevin Adler <kadler@us.ibm.com>
- Use auto dependency resolution instead of requiring pase-libs
